Subject: Why it's so Hard to Find a Good HRT Doc
From: Hunter Williams <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 2 Feb 2026 23:06:31 +0000

Happy Monday! 

By far the most common question that I get from my audience is:

“"How do I find a good TRT/HRT provider?"“ — 

Unfortunately, finding a good provider who knows what they are doing, won't hurt you, and won't rip you off is an extremely difficult and seemingly impossible task. 

Today’s email is the first in a two-part series that takes a closer look at why it's so hard to find a solid provider.

Spoiler alert: After we explore this significant problem, I'll share how you can be among the first to use a new platform that solves this exact issue. 

So if you’re one of the countless people frustrated by being unable to find the perfect provider, read to the end!

———————————————————————————

**Option Overwhelm**

If you have felt completely overwhelmed and confused about how to pick a provider from the seemingly endless options that advertise to you in your social feeds, you are not alone.

When people decide to change their lives and look for a provider to start hormone optimization, they often feel overwhelmed and confused.

Why? 

The HRT market is being flooded with literally **hundreds of new providers every single week**. 

For better or worse, the barrier to launching a TRT/HRT/GLP1 clinic has effectively gone to zero.

Hormone optimization and weight loss are** big businesses**, and a new type of company, called "telehealth enablement platforms," has made it possible for anyone (and I mean literally anyone) to launch their own clinic with zero training in best practices.

These telehealth enablement companies essentially white-label "medical director services" and freelance nurse practitioners who are happy to rubber-stamp prescription requests.

This means there are so many options that it can be overwhelming, and the number keeps increasing every day. 

Additionally, many clinic founders are more focused on profit than on patient outcomes.

———————————————————————————

**Quacks of All Shapes and Sizes**

Sadly, the vast majority of people who are able to overcome the paralyzing number of options to choose from and actually get started with treatment wind up working with a TRT/HRT/GLP1 provider that either has no idea what they are doing or doesn’t care that they are doing it wrong.

I would venture to say that almost 80% of the general public that is working with an HRT or GLP-1 provider is “getting quacked.”

Based on my experience speaking with thousands of patients and hundreds of providers (both good and bad), I think there are a few categories of "quacks" in the market.

Understanding each of them will help you assess the severity of the problem.

———————————————————————————

**Quacks of Ignorance**

The best way to understand Quacks of Ignorance is that these providers are well-meaning but poorly educated. 

Some quacks of ignorance have sought out HRT-specific education, but sought it in the wrong places, and are now handing out terrible protocols with brash confidence.

Some quacks of ignorance have not sought any HRT-specific education and are totally flying blind based on their own incorrect belief systems (ironically, this is most common among actual MDs who get into HRT).

These providers almost always mean well,** but they don’t know what they don’t know**, and sadly, their patients are the ones who pay the price when disastrous protocols take their toll.

———————————————————————————

**Quacks of Greed **

Sadly**,** this type of quack might be the biggest problem overall because the greediest companies naturally tend to earn the highest profits, which they pump back into advertising.

Beyond deceptive markup on compounds, quacks of greed reveal themselves to the trained eye in all kinds of ways:

* Adding massively marked-up, completely worthless supplements

* Aggressively pushing ineffective oral medications 

* Aggressively pushing harmful compounds like finasteride or anastrazole

* Not even talking to patients about fertility preservation or lifestyle modification because it might hurt their conversion rate

* Giving women estrogen without testosterone and/or progesterone

The full list of red flags for excessive greed would be pages long, but the punchline is that the incentives to practice HRT the wrong way are very strong, and many providers do what’s best for profit margins, not what’s best for YOU.

———————————————————————————

**Quacks of Malevolence**

Now, while this type of quack is the rarest, it’s also the most terrifying. 

The best estimates we have state that somewhere between 1%–1.2% of the general population are severe psychopaths.

Unfortunately, the health and wellness industry attracts some of these psychopaths. 

When these psychopats enter the cash-pay wellness sector, it can be even more problematic because there is little regulation and oversight around best practices. 

Some doctors who lose their medical licenses due to serious mistakes use this area to continue calling themselves 'doctors' and take advantage of patients.

———————————————————————————

**Where Do We Go From Here?**

On Wednesday, we will examine the key reason it’s still so hard to find a good provider.

_**Provider-patient compatibility.**_

I think you will find it fascinating, so stay tuned! 

Best,

Hunter Williams

———————————————————————————

**Special Invite**

PS…If you are one of the countless people interested in or currently using HRT but haven’t found the right provider yet, I am part of an exciting new platform that solves this exact problem. 

It vets the provider market for the best doctors and matches you with the provider most aligned with your goals, values, care preferences, and budget.

**I want to personally invite you to be one of the first to benefit from this.**

Reply to this email, or email me at [[email-masked]](http://), with your name and a sentence or two about where you are in your HRT journey, and I’ll explain the details to get you early access! 

———

You are reading a plain text version of this post. For the best experience, copy and paste this link in your browser to view the post online:
https://huntershealthhacks.beehiiv.com/p/why-it-s-so-hard-to-find-a-good-hrt-doc